# Crow: crow::websocket::connection Struct Reference

Loading...
Searching...
No Matches
crow::websocket::connection Struct Referenceabstract

A base class for websocket connection. More...

`#include <websocket.h>`

Inheritance diagram for crow::websocket::connection:

## Public Member Functions

virtual void | send_binary (std::string msg)=0
virtual void | send_text (std::string msg)=0
virtual void | send_ping (std::string msg)=0
virtual void | send_pong (std::string msg)=0
virtual void | close (std::string const &msg="quit")=0
virtual std::string | get_remote_ip ()=0
void | userdata (void *u)
void * | userdata ()

## Detailed Description

A base class for websocket connection.

## Member Function Documentation

## close()

virtual void crow::websocket::connection::close | ( | std::string const & | msg = `"quit"` | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor, Handler >.

## send_binary()

virtual void crow::websocket::connection::send_binary | ( | std::string | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor, Handler >.

## send_ping()

virtual void crow::websocket::connection::send_ping | ( | std::string | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor, Handler >.

## send_pong()

virtual void crow::websocket::connection::send_pong | ( | std::string | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor, Handler >.

## send_text()

virtual void crow::websocket::connection::send_text | ( | std::string | msg | ) |

pure virtual

Implemented in crow::websocket::Connection< Adaptor, Handler >.

The documentation for this struct was generated from the following file:

- include/crow/websocket.h